Create a capture
Create a capture against an auth-capture card-payment transfer.
The accountID must identify the partner account for the transfer.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
curl -X POST "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/captures" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.10.00" \
-H "X-Idempotency-Key: 7d8f2a64-4b1e-4c3a-9f2d-1e5b6c7a8d90"{
"captureID": "67u5hqjljjgi5hy2nvnty7uksa_capt",
"amount": {
"currency": "USD",
"valueDecimal": "25.00"
},
"isFinal": false,
"status": "completed",
"createdOn": "2024-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
{
"error": "string"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
{
"error": "string"
}Response headers
x-request-id
string
required
{
"amount": {
"currency": "string",
"valueDecimal": "string"
},
"isFinal": "string",
"description": "string",
"facilitatorFeeAmount": {
"currency": "string",
"valueDecimal": "string"
},
"metadata": "string",
"foreignID": "string",
"lineItems": {
"items": {
"property1": {
"productID": "string",
"name": "string",
"basePrice": {
"currency": "string",
"valueDecimal": "string"
},
"options": {
"property1": {
"name": "string",
"group": "string",
"priceModifier": {
"currency": "string",
"valueDecimal": "string"
},
"quantity": "string",
"imageIDs": "string"
},
"property2": {
"name": "string",
"group": "string",
"priceModifier": {
"currency": "string",
"valueDecimal": "string"
},
"quantity": "string",
"imageIDs": "string"
}
},
"quantity": "string",
"imageIDs": "string"
},
"property2": {
"productID": "string",
"name": "string",
"basePrice": {
"currency": "string",
"valueDecimal": "string"
},
"options": {
"property1": {
"name": "string",
"group": "string",
"priceModifier": {
"currency": "string",
"valueDecimal": "string"
},
"quantity": "string",
"imageIDs": "string"
},
"property2": {
"name": "string",
"group": "string",
"priceModifier": {
"currency": "string",
"valueDecimal": "string"
},
"quantity": "string",
"imageIDs": "string"
}
},
"quantity": "string",
"imageIDs": "string"
}
}
},
"amountDetails": {
"tip": "string",
"tax": "string",
"surcharge": "string"
}
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
v2026.08.00 uses v2026.07.00.
A malformed value, such as 2022, returns a 404 response.
v2026.10.00
x-idempotency-key
string
required
Path parameters
accountID
string
required
transferID
string
required
card-payment transfer.
Body
amount
object
Show child attributes
amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
amountDetails
object
Show child attributes
amountDetails
surcharge
object
Show child attributes
amountDetails.surcharge
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
tax
object
Show child attributes
amountDetails.tax
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
tip
object
Show child attributes
amountDetails.tip
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
description
string
<=256 characters
facilitatorFeeAmount
object
Show child attributes
facilitatorFeeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
foreignID
string
<=128 characters
isFinal
boolean
true, any remaining capturable amount is voided.
lineItems
object
Show child attributes
lineItems
items
array<object>
required
Show child attributes
lineItems.items[]
basePrice
object
Show child attributes
lineItems.items[].basePrice
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
imageIDs
array<string>
deprecated
name
string
[1 to 150] characters
options
array<object>
Show child attributes
lineItems.items[].options[]
group
string
<=100 characters
imageIDs
array<string>
deprecated
name
string
[1 to 150] characters
priceModifier
object
Show child attributes
lineItems.items[].options[].priceModifier
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
quantity
integer<int32>
productID
string
quantity
integer<int32>
metadata
object
Response
amount
object
required
Show child attributes
amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
captureID
string
required
createdOn
string<date-time>
required
isFinal
boolean
required
status
string<enum>
required
created,
pending,
completed,
failed,
canceled
amountDetails
object
Show child attributes
amountDetails
surcharge
object
Show child attributes
amountDetails.surcharge
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
tax
object
Show child attributes
amountDetails.tax
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
tip
object
Show child attributes
amountDetails.tip
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
description
string
<=256 characters
facilitatorFeeAmount
object
Show child attributes
facilitatorFeeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
failureCode
string<enum>
call-issuer,
do-not-honor,
processing-error,
invalid-transaction,
invalid-amount,
no-such-issuer,
reenter-transaction,
cvv-mismatch,
lost-or-stolen,
insufficient-funds,
invalid-card-number,
invalid-merchant,
expired-card,
incorrect-pin,
transaction-not-allowed,
suspected-fraud,
amount-limit-exceeded,
velocity-limit-exceeded,
revocation-of-authorization,
card-not-activated,
issuer-not-available,
could-not-route,
cardholder-account-closed,
account-closed,
account-not-activated,
authentication-failed,
authentication-required,
cardholder-action-required,
format-error,
invalid-pin,
offline-approved,
offline-declined,
partial-approval,
payment-stopped,
pin-required,
record-not-found,
surcharge-not-permitted,
transaction-reversed,
verification-failed,
unknown-issue,
duplicate-transaction
foreignID
string
<=128 characters
lineItems
object
Show child attributes
lineItems
items
array<object>
required
Show child attributes
lineItems.items[]
basePrice
object
Show child attributes
lineItems.items[].basePrice
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
images
array<object>
Show child attributes
lineItems.items[].images[]
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
options
array<object>
Show child attributes
lineItems.items[].options[]
group
string
<=100 characters
images
array<object>
Show child attributes
lineItems.items[].options[].images[]
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
priceModifier
object
Show child attributes
lineItems.items[].options[].priceModifier
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
quantity
integer<int32>
productID
string
quantity
integer<int32>
metadata
object